# BVN Check

BVN check can be done in 2 modes; Basic and Premium BVN verification.

* **Basic Mode**\
  This mode only returns the basic information about the BVN e.g. first name, last name, middle name, phone number
* **Premium Mode**\
  This mode returns comprehensive information about the BVN e.g. first name, last name, middle name, full name, phone number, email, address, dob, marital status, origin, photo

<mark style="color:green;">`POST`</mark> `https://api.oneappgo.com/v1/bvnkyc`

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| authorization<mark style="color:red;">\*</mark> | String | SECRET\_KEY |

#### Request Body

| Name                                           | Type   | Description                |
| ---------------------------------------------- | ------ | -------------------------- |
| verify\_type<mark style="color:red;">\*</mark> | String | e.g basic, premium         |
| bvnno<mark style="color:red;">\*</mark>        | String | 11 digit number of the BVN |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "status": true,
  "responseCode": "01",
  "msg": "Verified",
  "data": {
    "title": "Mr",
    "fullname": "AMAD JOHN CKUKWU",
    "customeremail": "",
    "gender": "male",
    "dob": "01-02-1956",
    "phone_number": "09012345678",
    "alternate_phoneno": "08012345678",
    "enrollmentBank": "",
    "enrollmentBranch": "",
    "state_origin": "",
    "residence": "Yola State",
    "address": "2, Iwajowa street, Agugu",
    "country": "nigeria",
    "nin": "",
    "level_of_account": "Level 3 - High Level Accounts",
    "watchlisted": false,
    "photo": "BASE64 ENCODED"
  }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```json
curl --location 'https://api.1app.online/v1/bvnkyc' \
--header 'SECRET_KEY: BEARER SECRET_KEY' \
--data '{
    "verify_type": "platinum",
    "bvnno": "12323444556"
}'
```

{% endcode %}
{% endtab %}

{% tab title="NodeJS" %}

```json
var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://api.1app.online/v1/bvnkyc',
  'headers': {
    'SECRET_KEY': 'BEARER SECRET_KEY'
  },
  body: '{"verify_type": "platinum", "bvnno": "12323444556"}'

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.1app.online/v1/bvnkyc',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
    "verify_type": "platinum",
    "bvnno": "12323444556"
}',
  CURLOPT_HTTPHEADER => array(
    'SECRET_KEY: BEARER SECRET_KEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}

{% tab title="Dart" %}

```dart
var headers = {
  'SECRET_KEY': 'BEARER SECRET_KEY'
};
var request = http.Request('POST', Uri.parse('https://api.1app.online/v1/bvnkyc'));
request.body = '''{\r\n    "verify_type": "platinum",\r\n    "bvnno": "12323444556"\r\n}''';
request.headers.addAll(headers);

http.StreamedResponse response = await request.send();

if (response.statusCode == 200) {
  print(await response.stream.bytesToString());
}
else {
  print(response.reasonPhrase);
}

```

{% endtab %}
{% endtabs %}

### Sample Response

```json
{
  "status": true,
  "responseCode": "01",
  "msg": "Verified",
  "data": {
    "title": "Mr",
    "fullname": "AMAD JOHN CKUKWU",
    "customeremail": "",
    "gender": "male",
    "dob": "01-02-1956",
    "phone_number": "09012345678",
    "alternate_phoneno": "08012345678",
    "enrollmentBank": "",
    "enrollmentBranch": "",
    "state_origin": "",
    "residence": "Yola State",
    "address": "2, Iwajowa street, Agugu",
    "country": "nigeria",
    "nin": "",
    "level_of_account": "Level 3 - High Level Accounts",
    "watchlisted": false,
    "photo": "BASE64 ENCODED"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.1app.online/identity/bvn-check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
